Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Interface SessionCookieFactory

All Known Implementing Classes:
  DefaultSessionCookieFactory, HttpSessionCookieFactory, OCISessionCookieFactory, RemoteCookieFactory, SharedSessionCookieFactory

public interface SessionCookieFactory

Interface for session cookie factories.

The session cookie factory is used by the application pool to instantiate session cookie instances.

Application developers may create their own SessionCookieFactory implementations to return custom SessionCookie implementations.

See Also:
  `ApplicationPool.setSessionCookieFactory(SessionCookieFactory)`

Field Summary
`static java.lang.String` | `PROP_IS_WEB_APP`
`static java.lang.String` | `PROP_USER_PRINCIPAL_KEY`

Method Summary
`SessionCookie` | `createSessionCookie(java.lang.String applicationId, java.lang.String sessionId, ApplicationPool pool, java.util.Properties properties)` Creates a SessionCookie instance.

Field Detail

### PROP_IS_WEB_APP

    public static final java.lang.String PROP_IS_WEB_APP

  See Also:
    Constant Field Values

### PROP_USER_PRINCIPAL_KEY

    public static final java.lang.String PROP_USER_PRINCIPAL_KEY

  See Also:
    Constant Field Values

Method Detail

### createSessionCookie

    public SessionCookie createSessionCookie(java.lang.String applicationId,
                                             java.lang.String sessionId,
                                             ApplicationPool pool,
                                             java.util.Properties properties)

  Creates a SessionCookie instance.
  Parameters:
    `applicationId` - an identifier which may be used to uniquely identify this cookie within the context of a session
    `sessionId` - an option identifier which may be used to uniquely identify this cookie across sessions.
    `pool` - the applicationPool instance which will be used to acquire ApplicationModule instances for this SessionCookie.
    `properties` - an optional properties object which may be used to pass additional creation properties to the SessionCookieFactory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.